
Redmine - Patch #6008

Move admin_menu to Redmine::MenuManager

2010-07-31 11:10 - Jean-Baptiste Barth

Status: Closed Start date: 2010-07-31

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.0.1   

Description

Admin menu should be moved to a standard Redmine::MenuManager so that it can be modified in a plugin the same way we do with

other menu.

For the moment the only way to modify this menu really (not just add something, reorganize or remove items for instance) is to

override the view. If 2 plugins do this, the 2nd will override 1st modifications. This problem doesn't occur anymore if the menu is

managed with Redmine::MenuManager.

See patch attached. If it's functionnally OK, we can integrate this easily, it should not break anything in existing plugins.

Associated revisions

Revision 3909 - 2010-08-04 02:38 - Eric Davis

Use the MenuManager for the Administration menu. #6008

Contributed by Jean-Baptiste Barth.

History

#1 - 2010-08-04 02:37 - Eric Davis

- Status changed from New to Resolved

- Assignee set to Eric Davis

- % Done changed from 0 to 100

Good find, I forgot about this refactoring.  Committed in r3909.

#2 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.

Files

move-admin-menu.diff 3.42 KB 2010-07-31 Jean-Baptiste Barth
